メインコンテンツへスキップ
PATCH
/
crm
/
objects
/
2026-03
/
projects
/
{projectId}
Update
curl --request PATCH \
  --url https://api.hubapi.com/crm/objects/2026-03/projects/{projectId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "properties": {}
}
'
import requests

url = "https://api.hubapi.com/crm/objects/2026-03/projects/{projectId}"

payload = { "properties": {} }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({properties: {}})
};

fetch('https://api.hubapi.com/crm/objects/2026-03/projects/{projectId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "archived": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "properties": {},
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z",
  "objectWriteTraceId": "<string>",
  "propertiesWithHistory": {},
  "url": "<string>",
  "warnings": [
    {
      "category": "<string>",
      "context": {},
      "message": "<string>"
    }
  ]
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

projectId
string
必須
Pattern: .+

クエリパラメータ

idProperty
string

The name of a property whose values are unique for this object type

ボディ

application/json

Represents the input required to create or update a CRM object, containing an object with property names and their corresponding values.

properties
object
必須

Key value pairs representing the properties of the object.

レスポンス

successful operation

A simple public object.

archived
boolean
必須

Whether the object is archived.

createdAt
string<date-time>
必須

The timestamp when the object was created, in ISO 8601 format.

id
string
必須

The unique ID of the object.

properties
object
必須

Key-value pairs representing the properties of the object.

updatedAt
string<date-time>
必須

The timestamp when the object was last updated, in ISO 8601 format.

archivedAt
string<date-time>

The timestamp when the object was archived, in ISO 8601 format.

objectWriteTraceId
string

An identifier used for tracing the write request for the object.

propertiesWithHistory
object

Key-value pairs representing the properties of the object along with their history.

url
string

The URL associated with the object.

warnings
object[]
最終更新日 2026年4月10日